

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ABSTreeMap_5(OBJ,OBJ,OBJ,OBJ);extern OBJ __ABSTreeMap_5;

#include "Char.h"
extern OBJ _ASetByBSTMap_5(OBJ,OBJ,OBJ,OBJ);OBJ __ASetByBSTMap_5; /* * */

extern OBJ _ASetByBSTMap_5(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* * */
{OBJ r;
 r=_ABSTreeMap_5(x1,x2,x3,x4);
 return r;}

init_ASetByBSTMap()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASetByBST();
 init_ANat();
 init_ASeq();
 init_AOption();
 init_ABSTree();
 init_ATree();
 init_APair();
 init_ASetByBSTConv();
 init_ABSTreeMap();
 init_AString();
 init_AChar();
 init_ABSTreeConv();
 CLS(4,_ASetByBSTMap_5,__ASetByBSTMap_5);}

